<?php

session_start();

require 'ZipCsvProcessor.php';
require 'PagamentoImporter.php';

require_once '../../../script_php/conexao.php';




 $tipoArquivo = false;

// Exemplo de uso: processar o arquivo ZIP enviado via POST
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['zipfile']))

{
    $zipProcessor = new ZipCsvProcessor($_FILES['zipfile']['tmp_name'], 'pagamentos-', 'csv');

    //recebendo os dados encontrados
    $dados = $zipProcessor->process();


    $pdo = new PDO('mysql:host=localhost;dbname=tichronoscom_sisnotas', 'root', '');

    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $pagamentos = new PagamentoImporter($pdo,$dados,0);

    $importado = $pagamentos->importar();

        //var_dump($importado);  

        foreach ($importado as $chave => $dados2) {
 
         if ($chave == 2){

            $tipoArquivo = true;
         }

        }

        if (isset($tipoArquivo)) {

    

            
        $zipProcessor = new ZipCsvProcessor($_FILES['zipfile']['tmp_name'], 'pagamentos_', 'csv');

        //recebendo os dados encontrados
        $dados = $zipProcessor->process();


        $pdo = new PDO('mysql:host=localhost;dbname=tichronoscom_sisnotas', 'root', '');

        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        $pagamentos = new PagamentoImporter($pdo,$dados,1);

        $importado = $pagamentos->importar();





        }





/*
    //percorrendo os dados
    foreach ($dados as $row) {

    	//se existir dados
        if (!empty($row)) {

        	//acao

            echo
 
            "/" . "datavenda " . htmlspecialchars($row[1]) .
            "/" . "recebimento " . htmlspecialchars($row[0]) .

            "/" . "nsu " . htmlspecialchars($row[10]) .
            "/" . "parcela " . htmlspecialchars($row[3]) .
            "/" . "parcela " . htmlspecialchars($row[23]) .
            "/" . "valorparcela " . htmlspecialchars($row[7]) .
            "/" . "Banceira " . htmlspecialchars($row[21]) .
            "/" . "Forma " . htmlspecialchars($row[20]) .
            "<hr>";
        }

    }


*/

//se nao encontrou a planilha
} else {
    echo "Nenhum arquivo ZIP foi enviado.";
}
    
    if (isset($importado))
    {



//limpar a pasta para novos arquivos  
$zipProcessor->cleanup();

$_SESSION['msg'] = "<div class='alert alert-success'>Arquivo importado !</div>";
header("Location: ../../../importarArquivoRede.php");
}